Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88009 - The name of the Swedish keyboard layout isn't updated after upgrade
Summary: The name of the Swedish keyboard layout isn't updated after upgrade
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-04 16:12 UTC by Christian Rose
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version: 1.08-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-25 16:59:58 UTC


Attachments (Terms of Use)

Description Christian Rose 2003-04-04 16:12:01 UTC
Description of problem:

The Swedish keyboard layout was renamed from "se-latin1" to "sv-latin1" upstream
(for unknown reason).
On upgrades, the Red Hat Linux installation program does not properly update the
keyboard layout name specified in /etc/sysconfig/keyboard from "se-latin1" to
"sv-latin1". The result is that keyboard map loading on the upgraded system
fails during boot and the system is left with an American keyboard layout.


How reproducible:

Always.


Steps to Reproduce:

1. Install RHL 8.0 system with Swedish keyboard layout.
2. Upgrade said system to RHL 9 by using the upgrade functionality in the installer.
3. Watch keyboard map loading fail during the next boot.

    
Actual results:

Upgraded system uses American keyboard layout on the console.


Expected results:

Upgraded system uses Swedish keyboard layout on the console.


Workaround for the problem:

Hand-edit the /etc/sysconfig/keyboard file to change the reference to
"se-latin1" into "sv-latin1". Reboot.

Comment 1 Jeremy Katz 2003-04-04 20:13:49 UTC
anaconda doesn't go around changing random config files -- this needs to be done
by the package with the change instead 

Comment 2 Eido Inoue 2003-07-25 16:59:58 UTC
se-latin1 now exists and is a copy of the sv-latin1 so both should work


Note You need to log in before you can comment on or make changes to this bug.